<?php
/*
////////////////////////////////////////////////////////////////////////////////
//                  Футбольный менеджер  для  JohnCMS                         //
//                             Модификация                                    //
////////////////////////////////////////////////////////////////////////////////
// Anubis(Юрий) (379-619-623)           - anubis77_box@mail.ru                //
//                             Wap site - http://mobisports.ru                //
////////////////////////////////////////////////////////////////////////////////
*/
define('_IN_JOHNCMS', 1);
$textl = 'Менеджер';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");

if (!$user_id) {
    echo '<div class="rmenu"><p>Доступ в менеджер открыт только <a href="../login.php">авторизованным</a> посетителям</p></div>';
    require_once ("../incfiles/end.php");
    exit;
}
########
    //Вставляю список команд и лигу
    require_once ("team.php");
################

switch ($act) {
        // Информация
    case 'info':
        echo '<div class="bmenu"><a href="sponsors.php">Спонсоры</a> | Информация</div>';

        if (!$id)
            header("Location: sponsors.php");

        $r = file("sponsors.dat");
        for ($i = 0; $i < count($r); $i++) {
            $e = explode('|', $r[$i]);
            if ($e[0] == $id) {
                if (file_exists("sponsors/" . $e[0] . ".png"))
                    echo '<img src="sponsors/' . $e[0] . '.png" alt="' . $e[1] . '" /><br />';
                echo 'Название: ' . $e[1] . '<br />';
                echo 'Плата за тур: ' . $e[2] . '<br />';
                echo 'Условие: занять не ниже ' . $e[3] . ' места в чемпионате<br />';
                $num_s = 1;
            }
        }

        if ($num_s != 1) {
            echo 'Такого спонсора нет!<br />';
            break;
        }

        $t = file("sponsors_clubs.dat");
        $num = 0;
        for ($y = 0; $y < count($t); $y++) {
            $et = explode("|", $t[$y]);
            if ($et[1] == $club)
                $num = 1;
        }

        if ($num == 0)
            echo '<div class="menu"><a href="?act=ok&amp;id=' . $id .
                '">Оформить договор</a></div>';
        else
            echo '<div class="menu">У вас уже есть спонсор!</div>';
        break;

        // оформляем договор
    case 'ok':
        echo '<div class="bmenu"><a href="sponsors.php">Спонсоры</a> | Оформить договор</div>';

        if (!$id)
            header("Location: sponsors.php");

        $num_s = 0;
        $num_c = 0;

        // проверяем спонсора
        $r = file("sponsors.dat");
        for ($i = 0; $i < count($r); $i++) {
            $e = explode('|', $r[$i]);
            if ($e[0] == $id)
                $num_s = 1;
        }
        // проверяем клуб
        $t = file("sponsors_clubs.dat");
        for ($y = 0; $y < count($t); $y++) {
            $et = explode("|", $t[$y]);
            if ($et[1] == $club)
                $num_c = 1;
        }

        if ($num_c != 1) {
            // добавляем
            $fp = fopen("sponsors_clubs.dat", "a+");
            flock($fp, LOCK_EX);

            fputs($fp, $id . "|" . $club . "|\r\n");

            fflush($fp);
            flock($fp, LOCK_UN);
            fclose($fp);
        } else {
            echo 'У вас уже есть спонсор!<br />';
            break;
        }
        if ($num_s != 1)
            echo 'Такого спонсора нет!<br />';
        else
            echo 'Контракт оформлен!<br />';

        break;

        // Мой спонсор
    case 'my':
        echo '<div class="bmenu"><a href="sponsors.php">Спонсоры</a> | Мой спонсор</div>';

        $t = file("sponsors_clubs.dat");
        for ($y = 0; $y < count($t); $y++) {
            $et = explode("|", $t[$y]);
            if ($et[1] == $club)
                $id = $et[0];
        }

        // получаем инфу о спонсоре
        $r = file("sponsors.dat");
        for ($i = 0; $i < count($r); $i++) {
            $e = explode('|', $r[$i]);
            if ($e[0] == $id) {
                if (file_exists("sponsors/" . $e[0] . ".png"))
                    echo '<img src="sponsors/' . $e[0] . '.png" alt="' . $e[1] . '" /><br />';
                echo 'Название: ' . $e[1] . '<br />';
                echo 'Плата за тур: ' . $e[2] . '<br />';
                echo 'Условие: занять не ниже ' . $e[3] . ' места в чемпионате<br />';
            }
        }

        if (!$id)
            echo 'У вас еще нет спонсора!<br />';
        break;

        // Другие спонсоры
    case 'all_sponsors':
        echo '<div class="bmenu"><a href="sponsors.php">Спонсоры</a> | Спонсоры других клубов</div>';
        echo 'Спонсор - Клуб<br />';

        $r = file("sponsors_clubs.dat");
        for ($i = 0; $i < count($r); $i++) {
            $e = explode('|', $r[$i]);
            $rr = file("sponsors.dat");
            for ($y = 0; $y < count($rr); $y++) {
                $ee = explode('|', $rr[$y]);
                if ($ee[0] == $e[0] && $e[1] != $club)
                    echo '<div class="menu">' . $ee[1] . ' - ' . $e[1] . '</div>';
            }
        }
        break;

    default:
        echo '<div class="bmenu"><a href="index.php">Панель управления</a> | Спонсоры</div>';

        echo '<div class="menu"><a href="?act=my">Мой спонсор</a></div>';
        echo '<div class="menu"><a href="?act=all_sponsors">Спонсоры других клубов</a></div>';

        $r = file("sponsors.dat");
        for ($i = 0; $i < count($r); $i++) {
            $e = explode('|', $r[$i]);
            echo '- <a href="?act=info&amp;id=' . $e[0] . '">' . $e[1] . '</a><br />';
        }

}
require_once ("../incfiles/end.php");